Upgrading to jExperience 2.0.0

  Written by The Jahia Team
 
Developers
Sysadmins
   Estimated reading time:

Install jExperience 2.0.0 module and start it.

Get jExperience from the the Jahia store and install it from the administration / Modules and extensions panel.

Or download and install the new version directly from the Modules and extensions panel if the store is available. 

Updating from jExperience 1.12.x (1.12.0-1.12.3) doesn't require a Unomi update. However, you do need to take the following actions:

  1. Upload and start jExperience 2.0.0 module as you would do for any other module.
  2. Remove previous jExperience version

Since jExperience 2.0.0 contains fresh styling and css for all headers of the jExperience panels, clearing your browser cache will make you benefit from these changes right away.

jExperience-2.0.0 is a new major version. Due to OSGI constraints you have to upgrade also any depending module to the corresponding new version. So in case you have any of the following modules deployed, ensure you upgrade them to the following version:

  • jExperience-components-2.0.0
  • jExperience-auth-data-mapper-3.1.0
  • jExperience-forms-bridge-2.0.0
  • jExperience-google-analytics-2.0.0